SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000804SiT!reportspublic2009-07-25 11:002009-08-16 14:39
ReporterTomse 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version3.45 
Target Version3.50Fixed in Version3.50 
Summary0000804: Making a report with no dates creates errors - report_incidents_billable.php
DescriptionWhen trying to fetch a report, but you don't fill in any dates, the following errors are returned. If you fill in dates it seems to work as should.
This is using the example data. and no billable incidents are located in the DB

MySQL Query Error You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near '' at line 1 in C:\Inetpub\wwwroot\report_incidents_billable.php @ line 76 trigger_error()

mysql_num_rows(): supplied argument is not a valid MySQL result resource in C:\Inetpub\wwwroot\report_incidents_billable.php @ line 78 mysql_num_rows()
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
User avatar (0001394)
ivan (administrator)
2009-07-25 11:52

I've fixed the errors in trunk r5597 but this now produces an empty report. I'm not sure how to make it print a message saying there are no results..


Paul? can you help?
User avatar (0001408)
paulh (administrator)
2009-07-26 14:39

trunk r5662 resolves this - type in enddate also added no results when non found
User avatar (0001409)
ivan (administrator)
2009-07-26 14:41

Thanks Paul, and sorry about the cruft - I added 'ss' by accident. :-/
User avatar (0001692)
ivan (administrator)
2009-08-16 14:39

Released in 3.50rc1

- Issue History
Date Modified Username Field Change
2009-07-25 11:00 Tomse New Issue
2009-07-25 11:39 ivan Status new => assigned
2009-07-25 11:39 ivan Assigned To => ivan
2009-07-25 11:39 ivan Target Version => 3.50
2009-07-25 11:52 ivan Note Added: 0001394
2009-07-25 11:52 ivan Assigned To ivan => paulh
2009-07-25 11:52 ivan Resolution open => fixed
2009-07-26 14:39 paulh Note Added: 0001408
2009-07-26 14:39 paulh Status assigned => resolved
2009-07-26 14:39 paulh Fixed in Version => Current SVN
2009-07-26 14:41 ivan Note Added: 0001409
2009-08-16 13:15 ivan Fixed in Version Current SVN => 3.50
2009-08-16 14:39 ivan Note Added: 0001692
2009-08-16 14:39 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker